TaliwareTaliware Developer

Deploy smart contract (trigger on-chain deploy)

https://developer.taliware.com/api/v1/cl2c/contract/{id}

Back to all CL2C endpoints

Complete endpoint URL
puthttps://developer.taliware.com/api/v1/cl2c/contract/{id}
PUT
/cl2c/contract/{id}
x-api-key<token>

In: header

Path Parameters

idstring

The ID of the contract to deploy

Response Body

curl -X PUT "https://developer.taliware.com/api/v1/cl2c/contract/string"
{
  "id": "string",
  "name": "string",
  "symbol": "string",
  "description": "string",
  "network": "string",
  "env": "string",
  "status": "CREATED",
  "contractAddress": "string",
  "deployedAt": "2019-08-24T14:15:22Z",
  "metadata": {},
  "totalNFTs": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
Deploy smart contract (trigger on-chain deploy)